<template>
  <div class="slider">
    <label class="slider__container">
      <input type="checkbox" v-model="checked">

      <span class="slider__circle" />
    </label>
  </div>
</template>

<script>
export default {
  name: 'Slider',
  props: {
    modelValue: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    checked: {
      get() {
        return this.modelValue;
      },
      set(val) {
        this.$emit('update:modelValue', val);
      },
    },
  },
};
</script>

<style lang="scss">

$circleDiameter: 26px;
.slider {
  position: absolute;

  @media screen and (min-width: $calculatorWidth) {
    position: unset;
    top: unset;
  }
}

.slider__container {
  position: relative;
  top: 0.5rem;
  display: inline-block;
  width: 60px;
  height: 34px;

  @media screen and (min-width: $calculatorWidth) {
    margin-bottom: 16px;
  }

  & input {
    width: 0;
    height: 0;
    opacity: 0;

    &:checked + .slider__circle {
      background-color: #50DCCB;
    }

    &:focus + .slider__circle {
      box-shadow: 0 0 1px #50DCCB;
    }

    &:checked + .slider__circle::before {
      transform: translateX($circleDiameter);
    }
  }
}

.slider__circle {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: #000000;
  cursor: pointer;
  transition: $transitionDuration;
  border-radius: 34px;

  &::before {
    content: "";
    position: absolute;
    bottom: 4px;
    left: 4px;
    width: $circleDiameter;
    height: $circleDiameter;
    background-color: #FFFFFF;
    transition: $transitionDuration;
    border-radius: 50%;
  }
}
</style>
